Package twisted :: Package web :: Module static :: Class FileTransfer

[show private | hide private]
[frames | no frames]

## Class FileTransfer

    Jellyable --+
                |
     Serializable --+
                    |
             Viewable --+
                        |
                       FileTransfer

A class to represent the transfer of a file over the network.

Method Summary
| `__init__(self, file, size, request)`
| `__hook_orig_twisted_web_static_FileTransfer_resumeProducing__(self)`
| `__hook_orig_twisted_web_static_FileTransfer_stopProducing__(self)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint`for me and the perspective of the given broker. (inherited from `Viewable`)
| `pauseProducing(self)`
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `resumeProducing(*args, **kw)`
| `stopProducing(*args, **kw)`
| `view_pauseProducing(self, issuer)`
| `view_resumeProducing(self, issuer)`
| `view_stopProducing(self, issuer)`

Class Variable Summary
`list` | `__hook_post_twisted_web_static_FileTransfer_resumeProducing__`
`list` | `__hook_post_twisted_web_static_FileTransfer_stopProducing__`
`list` | `__hook_pre_twisted_web_static_FileTransfer_resumeProducing__`
`list` | `__hook_pre_twisted_web_static_FileTransfer_stopProducing__`
`NoneType` | `request`
`list` | `synchronized`

Class Variable Details

### __hook_post_twisted_web_static_FileTransfer_resumeProducing__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81aead4>]

### __hook_post_twisted_web_static_FileTransfer_stopProducing__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81aead4>]

### __hook_pre_twisted_web_static_FileTransfer_resumeProducing__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x81aea9c>]

### __hook_pre_twisted_web_static_FileTransfer_stopProducing__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x81aea9c>]

### request

  Type:
    `NoneType`
  Value:

        None

### synchronized

  Type:
    `list`
  Value:

        ['resumeProducing', 'stopProducing']

Generated by Epydoc 1.1 on Thu May 8 13:19:09 2003 | http://epydoc.sf.net